Mac OS X 10.8 Xcode 4.5.2 如何配置ROR

之乎者也
  • 60

QQ20121216-1.png在Mac OS X 10.8 Xcode 4.5.2环境下配置ror总是出现这样的问题,大家帮忙看看啊~~

回复
阅读 5.1k
4 个回答
lidashuang
  • 6.6k
✓ 已被采纳
绿云逸
  • 1
新手上路,请多包涵

这是进行到哪一步,ruby安装吗?

10.8去掉了gcc编译环境,用了苹果自己的编译器,我记得1.9.2以后的ruby都是支持的。

装个rvm,然后用rvm安装ruby吧,已经支持到ruby 2.0.0 了。 同样在rvm下使用gemset安装rails,亲测全部正常。

Xcode不是要升级到4.6.2的么... 附上:wikihttp://ruby-china.org/wiki/installrubyguide